Loading...
Searching...
No Matches
l4_vm_vmx_vcpu_infos_t Struct Reference
Base API » Kernel Objects » Virtual Machines » VM API for VMX

VMX information members. More...

`#include <__vm-vmx.h>`

Collaboration diagram for l4_vm_vmx_vcpu_infos_t:

## Data Fields

l4_uint64_t | caps [L4_VM_VMX_NUM_CAPS_REGS]
| Exported VMX capability registers. See L4_vm_vmx_caps_regs.
l4_uint32_t | dfl1 [L4_VM_VMX_NUM_DFL1_REGS]
| Exported VMX capability registers (default to 1 bits).

## Detailed Description

VMX information members.

Definition at line 239 of file __vm-vmx.h.

## Field Documentation

## dfl1

l4_uint32_t l4_vm_vmx_vcpu_infos_t::dfl1[L4_VM_VMX_NUM_DFL1_REGS]

Exported VMX capability registers (default to 1 bits).

See L4_vm_vmx_dfl1_regs.

Definition at line 246 of file __vm-vmx.h.

The documentation for this struct was generated from the following file:

- l4/sys/__vm-vmx.h